1. API reference
  2. Contacts

Add a note to a contact

POSThttps://howdybell.com/api/v1/contacts/{id}/notes

Add a note to a contact. Provide the note body and optionally mark it as pinned. The response returns the newly created note.

Parameters

  • idstringRequiredpath

Request body

  • bodystringRequired
  • pinnedboolean
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

201

  • idinteger
  • bodystring
  • pinnedboolean
  • userobject, nullable
    • idinteger
    • namestring
  • created_atstring, nullable
  • updated_atstring, nullable

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/contacts/123/notes" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "body": "string",
  "pinned": true,
  "location_id": 1
}'
Response201
{
  "id": 1,
  "body": "string",
  "pinned": true,
  "user": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "created_at": "string",
  "updated_at": "string"
}
Add a note to a contact (POST /api/v1/contacts/{id}/notes) | HowdyBell Developers